<?php
	session_start();
	if($_SESSION['subadm'])
	{
		$userid=1111;
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1380px;}
.head{background:; width:1300px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1250px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 .content{background:; margin:0; padding:0; }
 .content h3{margin-left:20px; }
 .viewcomp{background:#996420; height:40px; width:1300px; margin:10 0 0 20px;}
 .viewcomp h3{line-height:40px; margin-left:20px; color:white;}
 .quisrch{float:right; margin-right:20px;}
 .content #tbl2{width:97%; margin:10 0 0 20px;}
 #checkbox{width:20px; height:20px; font-size:17px; color:green;}
 #t1{ width:1300px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
 #blue{color:blue; font-size:18px;}
 #green{color:#63E65B; font-size:18px;}
 #red{color:red; font-size:18px;}
 .backdiv{ margin:20 0 0 1250px; width:100px; height:40px;}
 .backdiv a{text-decoration:none; padding:10px;}
 
 .foot{float:left; margin:10 0 0 100px; width:1350px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
    <?php include 'menu.php'; ?>
	<div class="content">
		<h3>List Of Complains</h3><hr>
		<div class="viewcomp">
			<h3>View Complains</h3>
		</div>
		<table border="1" cellpadding="5" id="t1">
			<tr>
				<th>Complain Id</th>
				<th>Recharge Id</th>
				<th>Complain Date</th>
				<th>Complain Time</th>
				<th>User Id</th>
				<th>Messege</th>
				<th>Status</th>
				<th>Response Messege</th>
				<th>Action</th>
				<th>Send Msg</th>
				<th></th>
			</tr>
		<?php
			include'connection.php';
			
			$id=$_GET['id'];
			
			
			$query="select * from complain where Id='$id'";
			$result=mysqli_query($con,$query);
			$row=mysqli_fetch_array($result);
				if($row['Status']=="Pending")
				{
					$color="blue";
				}
				elseif($row['Status']=="Solved")
				{
					$color="green";
				}
				else
				{
					$color="red";
				}
				echo "<form method='post'>";
				echo "<tr>";
					echo "<td>".$row['Id']."</td>";
					echo "<td>".$row['Rechargeid']."</td>";
					echo "<td>".$row['Compdate']."</td>";
					echo "<td>".$row['CompTime']."</td>";
					echo "<td>".$row['Userid']."</td>";
					echo "<td>".$row['Messege']."</td>";
					echo "<td id='".$color."'>".$row['Status']."</td>";
					echo "<td><textarea rows='2' cols='35' name='respmsg'>".$row['Responsemsg']."</textarea></td>";
					echo "<td><select name='solved'>";
						echo "<option>Solved</option>";
						echo "<option>Unsolved</option>";
					echo "</select></td>";
					echo "<td><input type='checkbox' name='send_msg' value='SendMsg' id='checkbox'></td>";
					echo "<td><input type='submit' name='submit'></td>";
				echo "</tr>";
			
			$query="select * from complain where Id='$id'";
			$result=mysqli_query($con,$query);
			$data = mysqli_fetch_array($result);
			$uid=$data['Userid'];
			
				$strPayTo= substr($uid,"0","2");
	            if($strPayTo==50)
	            {
	                $TableName="retailer";
	            }
	            elseif($strPayTo==20)
	            {
	                $TableName="distributer";
	            }
	            elseif($strPayTo==30)
	            {
	                $TableName="masterdis";
	            }
	            elseif($strPayTo==11)
	            {
	                $TableName="admin";
	            }
	            
	            $quGetName="select * from $TableName where Userid='$uid'";
	            $reGetName=mysqli_query($con,$quGetName);
	            $dataGetName=mysqli_fetch_array($reGetName);
	            $GetPayToName=$dataGetName['Name'];
	            $GetPayToMobile=$dataGetName['Mobile'];
			
			date_default_timezone_set("asia/kolkata");
			$date=date("Y-m-d");
			$time=date("h:i:s A");
			if(isset($_POST['submit']))
			{
				$respmsg=$_POST['respmsg'];
				$solved=$_POST['solved'];
				$sendMsg=$_POST['send_msg'];
				
				$query="update complain set Solvedate='$date', SolveTime='$time', Responsemsg='$respmsg', Status='$solved', Active='1' where Id='$id'";
				if(mysqli_query($con,$query))
				{
					if($sendMsg=="SendMsg")
					{
						$msg="Complain Id (".$row['Id']."), Dear ".$GetPayToName." Your Complain For= [".$row['Rechargeid']."] Has Been Responded By Admin !";
				
						$curl = curl_init();
						curl_setopt_array($curl, array(
						CURLOPT_URL => "http://sms2.kwikapi.com/sendSMS?username=sameermansuri111&message=".urlencode($msg)."&sendername=LLPRCH&smstype=TRANS&numbers=$GetPayToMobile&apikey=dc086ecd-1a22-4928-9e4e-69703230fd4e",
						CURLOPT_RETURNTRANSFER => true,
						CURLOPT_ENCODING => "",
						CURLOPT_MAXREDIRS => 10,
						CURLOPT_TIMEOUT => 0,
						CURLOPT_FOLLOWLOCATION => false,
						CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
						CURLOPT_CUSTOMREQUEST => "GET",
													));
						$response = curl_exec($curl);
						$err = curl_error($curl);
	
						curl_close($curl);
	
						if ($err)
						{
							echo "cURL Error #:" . $err;
						}
						else
						{
							$response;	$data2=json_decode($response);
								echo "<h1 align='center'><font color='#008000'> &#x2714; Complain Update Successfully !</font></h1><br>";
								echo "<h1 align='center'><font color='#008000'> &#x2714; Message Sent Successfully !</font></h1><br>";
						}
					}
					else
					{
						echo "<h1 align='center'><font color='#008000'> &#x2714; Complain Update Successfully !</font></h1><br>";
					}
				}
				else
				{
					echo "error";
				}
			}
				echo "</form>";
			
		?>
		</table>
	</div>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>